com.genesyslab.wfm8.API.service.schedule810

## Class SchWorkState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule810.SchWorkState

- All Implemented Interfaces:
    java.io.Serializable

      public class SchWorkState
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Work State
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmActivities`
    `protected int` | `wmActivitiesNSizeIs`
    `protected double` | `wmDate`
    `protected double` | `wmEndDateTime`
    `protected int` | `wmMarkedTimeId`
    `protected int` | `wmOverOfferId`
    `protected int` | `wmSiteId`
    `protected double` | `wmStartDateTime`
    `protected int` | `wmTimezoneId`
    `protected java.util.List<java.lang.Integer>` | `wmVirtualActivities`
    `protected int` | `wmVirtualActivitiesNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchWorkState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `java.util.List<java.lang.Integer>` | `getWmActivities()` Gets the value of the wmActivities property.
    `int` | `getWmActivitiesNSizeIs()` Gets the value of the wmActivitiesNSizeIs property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `int` | `getWmMarkedTimeId()` Gets the value of the wmMarkedTimeId property.
    `int` | `getWmOverOfferId()` Gets the value of the wmOverOfferId property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `java.util.List<java.lang.Integer>` | `getWmVirtualActivities()` Gets the value of the wmVirtualActivities property.
    `int` | `getWmVirtualActivitiesNSizeIs()` Gets the value of the wmVirtualActivitiesNSizeIs property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmActivities(java.util.List<java.lang.Integer> wmActivities)` Sets the value of the wmActivities property.
    `void` | `setWmActivitiesNSizeIs(int value)` Sets the value of the wmActivitiesNSizeIs property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmMarkedTimeId(int value)` Sets the value of the wmMarkedTimeId property.
    `void` | `setWmOverOfferId(int value)` Sets the value of the wmOverOfferId property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmVirtualActivities(java.util.List<java.lang.Integer> wmVirtualActivities)` Sets the value of the wmVirtualActivities property.
    `void` | `setWmVirtualActivitiesNSizeIs(int value)` Sets the value of the wmVirtualActivitiesNSizeIs property.
    `java.lang.String` | `toString()`
    `SchWorkState` | `withGswAgentId(int value)`
    `SchWorkState` | `withWmActivities(java.util.Collection<java.lang.Integer> values)`
    `SchWorkState` | `withWmActivities(java.lang.Integer... values)`
    `SchWorkState` | `withWmActivitiesNSizeIs(int value)`
    `SchWorkState` | `withWmDate(double value)`
    `SchWorkState` | `withWmEndDateTime(double value)`
    `SchWorkState` | `withWmMarkedTimeId(int value)`
    `SchWorkState` | `withWmOverOfferId(int value)`
    `SchWorkState` | `withWmSiteId(int value)`
    `SchWorkState` | `withWmStartDateTime(double value)`
    `SchWorkState` | `withWmTimezoneId(int value)`
    `SchWorkState` | `withWmVirtualActivities(java.util.Collection<java.lang.Integer> values)`
    `SchWorkState` | `withWmVirtualActivities(java.lang.Integer... values)`
    `SchWorkState` | `withWmVirtualActivitiesNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmDate

          protected double wmDate

    - #### wmStartDateTime

          protected double wmStartDateTime

    - #### wmEndDateTime

          protected double wmEndDateTime

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmMarkedTimeId

          protected int wmMarkedTimeId

    - #### wmOverOfferId

          protected int wmOverOfferId

    - #### wmActivitiesNSizeIs

          protected int wmActivitiesNSizeIs

    - #### wmActivities

          protected java.util.List<java.lang.Integer> wmActivities

    - #### wmVirtualActivitiesNSizeIs

          protected int wmVirtualActivitiesNSizeIs

    - #### wmVirtualActivities

          protected java.util.List<java.lang.Integer> wmVirtualActivities

  - ### Constructor Detail

    - #### SchWorkState

          public SchWorkState()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmMarkedTimeId

          public int getWmMarkedTimeId()

      Gets the value of the wmMarkedTimeId property.

    - #### setWmMarkedTimeId

          public void setWmMarkedTimeId(int value)

      Sets the value of the wmMarkedTimeId property.

    - #### getWmOverOfferId

          public int getWmOverOfferId()

      Gets the value of the wmOverOfferId property.

    - #### setWmOverOfferId

          public void setWmOverOfferId(int value)

      Sets the value of the wmOverOfferId property.

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the value of the wmActivitiesNSizeIs property.

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int value)

      Sets the value of the wmActivitiesNSizeIs property.

    - #### getWmActivities

          public java.util.List<java.lang.Integer> getWmActivities()

      Gets the value of the wmActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivities property.

      For example, to add a new item, do as follows:

              getWmActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmVirtualActivitiesNSizeIs

          public int getWmVirtualActivitiesNSizeIs()

      Gets the value of the wmVirtualActivitiesNSizeIs property.

    - #### setWmVirtualActivitiesNSizeIs

          public void setWmVirtualActivitiesNSizeIs(int value)

      Sets the value of the wmVirtualActivitiesNSizeIs property.

    - #### getWmVirtualActivities

          public java.util.List<java.lang.Integer> getWmVirtualActivities()

      Gets the value of the wmVirtualActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmVirtualActivities property.

      For example, to add a new item, do as follows:

              getWmVirtualActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withWmSiteId

          public SchWorkState withWmSiteId(int value)

    - #### withGswAgentId

          public SchWorkState withGswAgentId(int value)

    - #### withWmDate

          public SchWorkState withWmDate(double value)

    - #### withWmStartDateTime

          public SchWorkState withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public SchWorkState withWmEndDateTime(double value)

    - #### withWmTimezoneId

          public SchWorkState withWmTimezoneId(int value)

    - #### withWmMarkedTimeId

          public SchWorkState withWmMarkedTimeId(int value)

    - #### withWmOverOfferId

          public SchWorkState withWmOverOfferId(int value)

    - #### withWmActivitiesNSizeIs

          public SchWorkState withWmActivitiesNSizeIs(int value)

    - #### withWmActivities

          public SchWorkState withWmActivities(java.lang.Integer... values)

    - #### withWmActivities

          public SchWorkState withWmActivities(java.util.Collection<java.lang.Integer> values)

    - #### withWmVirtualActivitiesNSizeIs

          public SchWorkState withWmVirtualActivitiesNSizeIs(int value)

    - #### withWmVirtualActivities

          public SchWorkState withWmVirtualActivities(java.lang.Integer... values)

    - #### withWmVirtualActivities

          public SchWorkState withWmVirtualActivities(java.util.Collection<java.lang.Integer> values)

    - #### setWmActivities

          public void setWmActivities(java.util.List<java.lang.Integer> wmActivities)

      Sets the value of the wmActivities property.
      Parameters:
        `wmActivities` - allowed object is `Integer`

    - #### setWmVirtualActivities

          public void setWmVirtualActivities(java.util.List<java.lang.Integer> wmVirtualActivities)

      Sets the value of the wmVirtualActivities property.
      Parameters:
        `wmVirtualActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.